package com.ruoyi.project.business.service;

import java.util.List;
import com.ruoyi.project.business.domain.TbCountry;

/**
 * 国家Service接口
 * 
 * @author ruoyi
 * @date 2024-04-15
 */
public interface ITbCountryService 
{
    /**
     * 查询国家
     * 
     * @param countryId 国家主键
     * @return 国家
     */
    public TbCountry selectTbCountryByCountryId(Long countryId);

    /**
     * 查询国家列表
     * 
     * @param tbCountry 国家
     * @return 国家集合
     */
    public List<TbCountry> selectTbCountryList(TbCountry tbCountry);

    /**
     * 新增国家
     * 
     * @param tbCountry 国家
     * @return 结果
     */
    public int insertTbCountry(TbCountry tbCountry);

    /**
     * 修改国家
     * 
     * @param tbCountry 国家
     * @return 结果
     */
    public int updateTbCountry(TbCountry tbCountry);

    /**
     * 批量删除国家
     * 
     * @param countryIds 需要删除的国家主键集合
     * @return 结果
     */
    public int deleteTbCountryByCountryIds(Long[] countryIds);

    /**
     * 删除国家信息
     * 
     * @param countryId 国家主键
     * @return 结果
     */
    public int deleteTbCountryByCountryId(Long countryId);

    /**
     * 查询所有国家列表
     * @return 结果
     */
    List<TbCountry> getAllNationList();

    /**
     * 根据地区id查询国家列表
     * 
     * @param areaId 地区id
     */
    List<TbCountry> getCountryByAreaId(Long areaId);

    List<TbCountry> getCountryByAreaIds(Long[] areaIds);
}
